> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Onboard

> Add a contractor or supplier with its main contact, trades or supplies, insurance and billing terms, and invite it to SortX



## OpenAPI

````yaml /openapi.json post /companies/onboard
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: company-onboarding
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: desk
  - name: people
  - name: property-boards
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /companies/onboard:
    post:
      tags:
        - company-onboarding
      summary: Onboard
      description: >-
        Add a contractor or supplier with its main contact, trades or supplies,
        insurance and billing terms, and invite it to SortX
      operationId: company-onboarding.onboard
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnboardCompanyBody'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardCompanyResult'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/CompanyOnboardingInvalidError'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended | PlanRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantSuspendedEncoded'
                  - $ref: '#/components/schemas/PlanRequiredEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/CompanyOnboardingForbiddenError'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/CompanyOnboardingConflictError'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    OnboardCompanyBody:
      type: object
      properties:
        requestId:
          type: string
        type:
          type: string
          enum:
            - contractor
            - supplier
        legalName:
          type: string
        tradingName:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        registrationNumber:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        addressLine1:
          type: string
        addressTown:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        addressPostcode:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        mainContact:
          type: object
          properties:
            firstName:
              type: string
            lastName:
              anyOf:
                - anyOf:
                    - type: string
                    - type: 'null'
                - type: 'null'
            email:
              type: string
            phone:
              type: string
          required:
            - firstName
            - email
            - phone
          additionalProperties: false
        sendInvite:
          type: boolean
        contractor:
          anyOf:
            - type: object
              properties:
                trades:
                  type: array
                  items:
                    type: string
                councils:
                  type: array
                  items:
                    type: string
                emergencyCallouts:
                  type: boolean
              required:
                - trades
                - councils
                - emergencyCallouts
              additionalProperties: false
            - type: 'null'
        supplier:
          anyOf:
            - type: object
              properties:
                supplies:
                  type: array
                  items:
                    type: string
                deliveryArea:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
              required:
                - supplies
              additionalProperties: false
            - type: 'null'
        insuranceExpiresOn:
          type: string
        paymentTerms:
          type: string
          enum:
            - on_completion
            - 14_days
            - 30_days
            - 60_days
        vatNumber:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        invoiceEmail:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
      required:
        - requestId
        - type
        - legalName
        - addressLine1
        - mainContact
        - sendInvite
        - insuranceExpiresOn
        - paymentTerms
      additionalProperties: false
    OnboardCompanyResult:
      type: object
      properties:
        company:
          $ref: '#/components/schemas/CompanyRecordRow'
        primaryContactId:
          type: string
        contractor:
          anyOf:
            - $ref: '#/components/schemas/ContractorRow'
            - type: 'null'
        insuranceCredentialId:
          anyOf:
            - type: string
            - type: 'null'
        invite:
          type: object
          properties:
            status:
              type: string
              enum:
                - not_requested
                - sent
                - active
                - not_sent
            email:
              anyOf:
                - type: string
                - type: 'null'
            note:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - status
            - email
            - note
          additionalProperties: false
        replayed:
          type: boolean
      required:
        - company
        - primaryContactId
        - contractor
        - insuranceCredentialId
        - invite
        - replayed
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    CompanyOnboardingInvalidError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - CompanyOnboardingInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    PlanRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PlanRequired
        tenantId:
          type: string
      required:
        - _tag
        - tenantId
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    CompanyOnboardingForbiddenError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - CompanyOnboardingForbidden
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    CompanyOnboardingConflictError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - CompanyOnboardingConflict
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
    CompanyRecordRow:
      type: object
      properties:
        id:
          type: string
        legacyContactId:
          type: string
        name:
          type: string
        email:
          anyOf:
            - type: string
            - type: 'null'
        mobile:
          anyOf:
            - type: string
            - type: 'null'
        addressLine1:
          anyOf:
            - type: string
            - type: 'null'
        addressLine2:
          anyOf:
            - type: string
            - type: 'null'
        addressTown:
          anyOf:
            - type: string
            - type: 'null'
        addressPostcode:
          anyOf:
            - type: string
            - type: 'null'
        overseas:
          type: boolean
        roles:
          type: array
          items:
            type: string
        registrationNumber:
          anyOf:
            - type: string
            - type: 'null'
        registrationJurisdiction:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
        tradingName:
          anyOf:
            - type: string
            - type: 'null'
        supplierCategories:
          type: array
          items:
            type: string
        deliveryArea:
          anyOf:
            - type: string
            - type: 'null'
        paymentTerms:
          anyOf:
            - type: string
            - type: 'null'
        vatNumber:
          anyOf:
            - type: string
            - type: 'null'
        invoiceEmail:
          anyOf:
            - type: string
            - type: 'null'
        insuranceExpiresOn:
          anyOf:
            - type: string
            - type: 'null'
        primaryContactId:
          anyOf:
            - type: string
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        archivedAt:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
        people:
          type: array
          items:
            type: object
            properties:
              contactId:
                type: string
              name:
                type: string
              email:
                anyOf:
                  - type: string
                  - type: 'null'
              role:
                anyOf:
                  - type: string
                  - type: 'null'
              archivedAt:
                anyOf:
                  - type: string
                  - type: 'null'
              kind:
                type: string
            required:
              - contactId
              - name
              - email
              - role
              - archivedAt
              - kind
            additionalProperties: false
      required:
        - id
        - legacyContactId
        - name
        - email
        - mobile
        - addressLine1
        - addressLine2
        - addressTown
        - addressPostcode
        - overseas
        - roles
        - registrationNumber
        - registrationJurisdiction
        - website
        - notes
        - tradingName
        - supplierCategories
        - deliveryArea
        - paymentTerms
        - vatNumber
        - invoiceEmail
        - insuranceExpiresOn
        - primaryContactId
        - revision
        - archivedAt
        - createdAt
        - people
      additionalProperties: false
    ContractorRow:
      type: object
      properties:
        contactId:
          type: string
        name:
          type: string
        kind:
          type: string
        companyId:
          anyOf:
            - type: string
            - type: 'null'
        companyName:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        mobile:
          anyOf:
            - type: string
            - type: 'null'
        contactArchivedAt:
          anyOf:
            - type: string
            - type: 'null'
        isContractor:
          type: boolean
        status:
          type: string
        trades:
          type: array
          items:
            type: string
        coverageAreas:
          type: array
          items:
            type: string
        councils:
          type: array
          items:
            type: string
        emergencyCallouts:
          type: boolean
        availability:
          type: string
        availableFrom:
          anyOf:
            - type: string
            - type: 'null'
        availabilityNote:
          anyOf:
            - type: string
            - type: 'null'
        preferenceRank:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        ratesNotes:
          anyOf:
            - type: string
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedAt:
          anyOf:
            - type: string
            - type: 'null'
        deactivationReason:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedByName:
          anyOf:
            - type: string
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
        credentials:
          type: array
          items:
            $ref: '#/components/schemas/ContractorCredentialRow'
        prospect:
          anyOf:
            - $ref: '#/components/schemas/ContractorProspectRow'
            - type: 'null'
      required:
        - contactId
        - name
        - kind
        - companyId
        - companyName
        - email
        - mobile
        - contactArchivedAt
        - isContractor
        - status
        - trades
        - coverageAreas
        - councils
        - emergencyCallouts
        - availability
        - availableFrom
        - availabilityNote
        - preferenceRank
        - ratesNotes
        - notes
        - deactivatedAt
        - deactivationReason
        - deactivatedByName
        - revision
        - updatedAt
        - credentials
        - prospect
      additionalProperties: false
    ContractorCredentialRow:
      type: object
      properties:
        id:
          type: string
        contactId:
          type: string
        kind:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        provider:
          anyOf:
            - type: string
            - type: 'null'
        coverMinor:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        issuedOn:
          anyOf:
            - type: string
            - type: 'null'
        expiresOn:
          anyOf:
            - type: string
            - type: 'null'
        documentId:
          anyOf:
            - type: string
            - type: 'null'
        approvedAt:
          anyOf:
            - type: string
            - type: 'null'
        approvedByName:
          anyOf:
            - type: string
            - type: 'null'
        status:
          type: string
        supersededById:
          anyOf:
            - type: string
            - type: 'null'
        endedAt:
          anyOf:
            - type: string
            - type: 'null'
        endReason:
          anyOf:
            - type: string
            - type: 'null'
        actorUserId:
          anyOf:
            - type: string
            - type: 'null'
        actorName:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
      required:
        - id
        - contactId
        - kind
        - name
        - reference
        - provider
        - coverMinor
        - currency
        - issuedOn
        - expiresOn
        - documentId
        - approvedAt
        - approvedByName
        - status
        - supersededById
        - endedAt
        - endReason
        - actorUserId
        - actorName
        - createdAt
      additionalProperties: false
    ContractorProspectRow:
      type: object
      properties:
        provider:
          type: string
        externalId:
          type: string
        searchTrade:
          anyOf:
            - type: string
            - type: 'null'
        searchPostcode:
          anyOf:
            - type: string
            - type: 'null'
        addedByName:
          anyOf:
            - type: string
            - type: 'null'
        addedAt:
          type: string
        invitedAt:
          anyOf:
            - type: string
            - type: 'null'
        invitedVia:
          anyOf:
            - type: string
            - type: 'null'
        invitedByName:
          anyOf:
            - type: string
            - type: 'null'
        invitationCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        activatedAt:
          anyOf:
            - type: string
            - type: 'null'
        activatedByName:
          anyOf:
            - type: string
            - type: 'null'
        checkNote:
          anyOf:
            - type: string
            - type: 'null'
        dismissedAt:
          anyOf:
            - type: string
            - type: 'null'
        dismissedByName:
          anyOf:
            - type: string
            - type: 'null'
        dismissReason:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - provider
        - externalId
        - searchTrade
        - searchPostcode
        - addedByName
        - addedAt
        - invitedAt
        - invitedVia
        - invitedByName
        - invitationCount
        - activatedAt
        - activatedByName
        - checkNote
        - dismissedAt
        - dismissedByName
        - dismissReason
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.